
Base Language - Feature #1596

complete big decimal implementation

10/19/2012 08:07 AM - Greg Shah

Status: Closed Start date: 01/24/2014

Priority: Normal Due date: 02/10/2014

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No vendor_id: GCD

Description

Subtasks:

Feature # 1597: shift SQRT implementation (MathOps.sqrt()) to BigDecimal Closed

Feature # 1598: shift LOG implementation (MathOps.log()) to BigDecimal Closed

Feature # 1599: shift EXP implementation (MathOps.pow()) to BigDecimal Closed

Feature # 1600: provide a conversion option to emit decimal literals using a string lit... Closed

History

#1 - 10/31/2012 01:51 PM - Greg Shah

- Target version set to Milestone 7

#2 - 04/25/2013 10:58 AM - Greg Shah

- Target version changed from Milestone 7 to Milestone 11

#3 - 01/24/2014 08:33 AM - Greg Shah

We had moved from use of double to BigDecimal in the past because we found deviations from the 4GL implementation that strongly suggested that

they are using a fixed point decimal implementation rather than one using a binary floating point implementation.  The move BigDecimal eliminated all

known deviations in common cases, but there are still some changes left to make that had been postponed.  All those remaining tasks are collected

under this parent task.

#4 - 05/21/2014 08:42 AM - Greg Shah

- Status changed from New to Closed

#5 - 11/16/2016 12:07 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features
